/* 3. Testen Sie die Verwendung von Zufallszahlen.
Erzeugen Sie je 3 Zufallszahlen zwischen 0 und RAND_MAX, zwischen 0 und 50,
zwischen -40 und 90 sowie als reelle Zahl zwischen 0 und 1!
Hinweis: srand(time(0)) initialisiert den Zufallsgenerator, rand()%50 liefert
eine Zufallszahl >=0 und <50!
----------------------------------------------------------------------------*/
#include <stdlib.h>
int main()
{ srand(time(0));
  printf("\n\n rand() liefert ganzzahlige Zufallszahlen zwischen 0 und %i.\n",
                                                                      RAND_MAX);
  printf("\n     rand(): %9i %9i %9i\n", rand(), rand(), rand() );
  printf("\n  0 <=z< 50: %9i %9i %9i\n", rand()%50, rand()%50, rand()%50 );
  printf("\n-40 <=z< 90: %9i %9i %9i\n", rand()%130-40, rand()%130-40, rand()%130-40);
  printf("\n  0 <=z<= 1: %9f %9f %9f\n", (float)rand()/RAND_MAX, rand()/32767.,
                                         (float)rand()/RAND_MAX  );

  printf("\n");    system("PAUSE");      return 0;
}
